 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: CstBean
  * Author:   Louis
  * Date:     2021/5/17 22:01
  */
 package com.fr.plugin.j7843.sso.bean;

 import com.fr.third.fasterxml.jackson.annotation.JsonInclude;
 import com.fr.third.fasterxml.jackson.annotation.JsonProperty;

 /**
  * <Function Description><br>
  * <CstDataBean>
  *
  * @author Louis
  * @since 1.0.0
  */
 @JsonInclude(JsonInclude.Include.NON_DEFAULT)
 public class CstDataBean {
     private String id;
     private String pcode;
     private String cityCo;
     private String projName;
     private String telphone;
     private String time;
     @JsonProperty("fy_code")
     private String fyCode;
     @JsonProperty("fy_name")
     private String fyName;
     private int price;
     @JsonProperty("rg_time")
     private String rgTime;
     @JsonProperty("qy_time")
     private String qyTime;

     public CstDataBean() {
     }

     public String getId() {
         return id;
     }

     public void setId(String id) {
         this.id = id;
     }

     public String getPcode() {
         return pcode;
     }

     public void setPcode(String pcode) {
         this.pcode = pcode;
     }

     public String getTelphone() {
         return telphone;
     }

     public void setTelphone(String telphone) {
         this.telphone = telphone;
     }

     public String getTime() {
         return time;
     }

     public void setTime(String time) {
         this.time = time;
     }

     public String getProjName() {
         return projName;
     }

     public void setProjName(String projName) {
         this.projName = projName;
     }

     public String getCityCo() {
         return cityCo;
     }

     public void setCityCo(String cityCo) {
         this.cityCo = cityCo;
     }

     public String getFyCode() {
         return fyCode;
     }

     public void setFyCode(String fyCode) {
         this.fyCode = fyCode;
     }

     public String getFyName() {
         return fyName;
     }

     public void setFyName(String fyName) {
         this.fyName = fyName;
     }

     public int getPrice() {
         return price;
     }

     public void setPrice(int price) {
         this.price = price;
     }

     public String getRgTime() {
         return rgTime;
     }

     public void setRgTime(String rgTime) {
         this.rgTime = rgTime;
     }

     public String getQyTime() {
         return qyTime;
     }

     public void setQyTime(String qyTime) {
         this.qyTime = qyTime;
     }
 }