 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: OneAccessConfig
  * Author:   Louis
  * Date:     2021/3/30 9:38
  */
 package com.fr.plugin.j7843.sso.config;

 import com.fr.config.ConfigContext;
import com.fr.config.DefaultConfiguration;
import com.fr.config.Visualization;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;

 /**
  * <Function Description><br>
  * <SsoConfig>
  *
  * @author Louis
  * @since 1.0.0
  */
 @Visualization(category = "Plugin-J7843-Sso_Group")
 public class SsoConfig extends DefaultConfiguration {
     public static final String PLUGIN_ID = "com.fr.plugin.j7843.sso.auth";

     private static volatile SsoConfig config = null;

     @Focus(id = PLUGIN_ID, text = "Plugin-J7843-Sso", source = Original.PLUGIN)
     public static SsoConfig getInstance() {
         if (config == null) {
             config = ConfigContext.getConfigInstance(SsoConfig.class);
         }
         return config;
     }

//     @Identifier(value = "uriBase", name = "Plugin-J7843-Sso_Config_uriBase", description = "Plugin-J7843-Sso_Config_uriBase_Description", status = Status.SHOW)
//     private Conf<String> uriBase = Holders.simple(StringKit.EMPTY);
//     @Identifier(value = "privateKey", name = "Plugin-J7843-Sso_Config_privateKey", description = "Plugin-J7843-Sso_Config_privateKey_Description", status = Status.SHOW)
//     private Conf<String> privateKey = Holders.simple(StringKit.EMPTY);

//     public String getUriBase() {
//         return uriBase.get();
//     }
//
//     public void setUriBase(String uriBase) {
//         this.uriBase.set(uriBase);
//     }
//
//     public String getPrivateKey() {
//         return privateKey.get();
//     }
//
//     public void setPrivateKey(String privateKey) {
//         this.privateKey.set(privateKey);
//     }
 }